<?php
namespace App\Worldspan\StructureParser\Structures\Ticketing;

class Remarks extends \App\Worldspan\StructureParser\Structures\Base\Remarks
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Worldspan\StructureParser\Structures\Base\Base::_getData()
	 */
	protected function _getData()
	{
		list($parsedStructure, $transactionType, $transactionIndexes, $internalAssociations) = $this->getTransactionDetails();
		$item = new \App\Worldspan\StructureParser\Types\Remarks();

		$item = $this->base_getData($item, $parsedStructure, $transactionType, $transactionIndexes, $internalAssociations);

		return $item;
	}
}
